org.scalatest.fixture.FixtureFlatSpec

# InAndIgnoreMethodsAfterTaggedAs

#### class InAndIgnoreMethodsAfterTaggedAs extends AnyRef

Class that supports tagged test registration in shorthand form.

For example, this class enables syntax such as the following tagged test registration in shorthand form:

    "A Stack (when empty)" should "be empty" taggedAs() in { ... }
                                                        ^

This class also enables syntax such as the following tagged, ignored test registration in shorthand form:

    "A Stack (when empty)" should "be empty" taggedAs(SlowTest) ignore { ... }
                                                                ^

This class is used via an implicit conversion (named `convertToInAndIgnoreMethodsAfterTaggedAs`) from `ResultOfTaggedAsInvocation`. The `ResultOfTaggedAsInvocation` class does not declare any methods named `in`, because the type passed to `in` differs in a `FlatSpec` and a `FixtureFlatSpec`. A `FixtureFlatSpec` needs two `in` methods, one that takes a no-arg test function and another that takes a one-arg test function (a test that takes a `FixtureParam` as its parameter). By constrast, a `FlatSpec` needs only one `in` method that takes a by-name parameter. As a result, `FlatSpec` and `FixtureFlatSpec` each provide an implicit conversion from `ResultOfTaggedAsInvocation` to a type that provides the appropriate `in` methods.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. InAndIgnoreMethodsAfterTaggedAs
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InAndIgnoreMethodsAfterTaggedAs (resultOfTaggedAsInvocation: ResultOfTaggedAsInvocation)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (testFun: (FixtureParam) ⇒ Any): Unit

    Supports the registration of tagged, ignored, one-arg tests (tests that take a `FixtureParam` parameter) in shorthand form.

    Supports the registration of tagged, ignored, one-arg tests (tests that take a `FixtureParam` parameter) in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" taggedAs(SlowTest) ignore { fixture => ... }
                                                                                  ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`. For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

14. #### def ignore (testFun: () ⇒ Any): Unit

    Supports the registration of tagged, ignored, no-arg tests in shorthand form.

    Supports the registration of tagged, ignored, no-arg tests in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" taggedAs(SlowTest) ignore { () => ... }
                                                                                  ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`. For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

15. #### def in (testFun: (FixtureParam) ⇒ Any): Unit

    Supports the registration of tagged, one-arg tests (tests that take a `FixtureParam` parameter) in shorthand form.

    Supports the registration of tagged, one-arg tests (tests that take a `FixtureParam` parameter) in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" taggedAs(SlowTest) in { fixture => ... }
                                                                                  ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

16. #### def in (testFun: () ⇒ Any): Unit

    Supports the registration of tagged, no-arg tests in shorthand form.

    Supports the registration of tagged, no-arg tests in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" taggedAs(SlowTest) in { () => ... }
                                                                                  ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def toString (): String

    Definition Classes
      AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any